﻿/*Objetos standard*/
*, *:before, *:after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

table td{
    font-size: .875em;
}

th,td{
    vertical-align:middle;
}

@font-face {
    font-family: 'blzee';
    font-style: normal;
    font-weight: 400;
    src: local('blzee'), local('blzee'), url(../fonts/blzee.ttf);
}
.font-blzee {
    font-family: 'blzee', 'Bradley Hand ITC';
    font-size:1.4rem;
}

.overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.3);
    z-index: 1001;
    backdrop-filter: blur(3px);
}

    .overlay .MsgCentral {
        text-align: center;
        position: absolute;
        top: 45%;
        left: 50%;
        transform: translate(-50%, -50%);
        opacity: .9;
        font-size: 18px;
        line-height: 2;
        font-weight: bold;
    }

.MsgCentral svg {
    fill: var(--bs-body-color);
}

#Banner {
    text-align: right;
    height: 100px;
    width: 100%;
    background-color: #FFF;
    background-image: url("../img/BannerIzqBV2.png"), url("../img/BannerDerVPP4.jpg");
    background-repeat: no-repeat, no-repeat;
    background-position: top left, top right;
}

a.LinkHome {
    display: block;
    float: left;
    right: 16vw;
    background: rgba(62, 117, 137,0.8);
    border: 2px solid #3E7589;
    padding: 4px 14px 6px 14px;
    font-size: 14px;
    font-weight: bold;
    color: #FFFFFF;
    position: absolute;
    top: -2px;
    border-radius: 0 0 11px 11px;
    box-shadow: -2px 4px 10px rgba(0,0,0,0.2);
    text-decoration: none;
    transform-origin: center top;
    transition-duration: 200ms;
    transition-property: transform;
}

    a.LinkHome:hover {
        transform: scale(1.2);
        border: 4px solid #3E7589;
        cursor: pointer;
        box-shadow: -2px 4px 10px rgba(0,0,0,0.6);
    }

.b-example-divider {
    width: 100%;
    height: 1rem;
    background-color: rgba(0, 0, 0, .1);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.form-signin, .form-pass {
    max-width: 360px;
    padding: 1rem 2rem;
}

    .form-signin .form-floating:focus-within, .form-pass .form-floating:focus-within {
        z-index: 2;
    }

    .form-signin input[type="text"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"] {
        margin-bottom: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    .form-pass input[type="password"] {
        margin-top: 10px;
    }

html:has(.form-signin),
body:has(.form-signin),
html:has(.form-pass),
body:has(.form-pass) {
    height: 100%;
}

.dropdown-menu .active .bi {
    display: block !important
}

.bi {
    width: 1em;
    height: 1em;
    vertical-align: -.125em;
    fill: currentcolor
}


.fa-boton {
    cursor: pointer;
    transition: 0.15s ease;
    margin-inline: 0.125em;
    font-size: 1.2em;
    /*vertical-align: -.25em;*/
    color: var(--bs-primary);
}

    .fa-boton:hover {
        transform: scale(1.1);
        text-shadow: 0px 2px 4px rgba(0,0,0,0.4);
        color: var(--bs-primary);
    }


.scrollup {
    width: 40px;
    height: 40px;
    opacity: 0.6;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    text-indent: -9999px;
    background: url('../img/icon_top.png') no-repeat;
    cursor: pointer;
    transition-duration: 200ms;
    transition-property: transform,opacity;
    z-index:1000;
}

    .scrollup:hover {
        opacity: 1;
        transform: scale(1.2) translateY(-0.3em);
    }


.MuchoTexto {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 50ch;
}

.PersonaPicker {
    padding: .375rem 2.25rem .375rem .75rem;
    line-height: 1.5;
    color: var(--bs-body-color);
    background-color: var(--bs-body-bg);
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);    
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin-top: .3em;
    padding-bottom: 0;
    min-height: 2.625rem;
    position:relative;
}

    .PersonaPicker i.fad {
        position: absolute;
        bottom: .7rem;
        right: .6rem;
    }

.input_icono {
    position: relative;
}
    .input_icono i.fad {
        position: absolute;
        bottom: .7rem;
        right: .6rem;
    }


.divPersona {
    display: inline-block;
    font-size: 0.75rem;
    padding: .375em;
    padding-bottom: 0.275em;
    border: var(--bs-border-width) dashed var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    width: max-content;
    margin-bottom: .375rem;
    margin-right: .375rem;
}

    .divPersona .fa-boton {
        font-size: 1rem;
    }

.Seleccionado td, .Seleccionado:hover td {
    background-color: var(--bs-body-bg) !important;
    color: var(--bs-body-color);
}


#LogoDirectic {
    content: url('../img/LogoDirecticMail.png');
}

.fa-file-pdf, .fa-file-pdf:hover {
    color: #B2110D;
}

/*@media (prefers-color-scheme: dark) {
    #LogoDirectic {
        content: url('../img/LogoDirecticMail_dark.png');
    }
}*/

[data-bs-theme="dark"] #LogoDirectic {
    content: url('../img/LogoDirecticMail_dark.png');
}

[data-bs-theme="dark"] .fa-file-pdf, .fa-file-pdf:hover {
    color: #eb4747;
}

.fa-obligatorio {
    font-size: .75em;
    margin-left: .25em;
    margin-right: .25em;
    color: var(--bs-form-invalid-color);
}


.warning {
    text-align: center;
    margin-block: 1em;
    font-size: 14px;
    color: #D2252F;
    font-weight: bold;
}


.heroOverlay {
    z-index: 12;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: min(800px,90%);
    background: rgba(250, 250, 255, .5);
    padding: 4rem 2rem;
    backdrop-filter: blur(2px);
    border-radius: 2rem;
    font-size: 2vw;
}

.carousel-item img {
    height: calc(100svh - 60px);
    object-fit: cover;
}

.ImgCheck {
    height: 24px;
    margin-right:0.6em;
}

[data-bs-theme="dark"] .ImgCheck {
    fill:#FFFFFF;
}

.VacioOculto:empty {
    display: none;
}

.fa-logo {
    --fa-primary-color: #DA2C2F;
    --fa-secondary-color: #EBAB20;
    --fa-secondary-opacity: 1;
}